Package org.apache.sysds.runtime.ooc.cache.legacy

# Interface OOCCacheScheduler.HandoverHandle

Enclosing interface:
  OOCCacheScheduler

public static interface OOCCacheScheduler.HandoverHandle

## Method Summary

Modifier and Type
Method
Description
`CompletableFuture<Boolean>`
`getCompletionFuture()`
`BlockKey`
`getKey()`
`boolean`
`isCommitted()`
`OOCStream.QueueCallback<IndexedMatrixValue>`
`reclaim()`

## Method Details

### getKey

BlockKey getKey()

### isCommitted

boolean isCommitted()

### getCompletionFuture

CompletableFuture<Boolean> getCompletionFuture()

### reclaim

OOCStream.QueueCallback<IndexedMatrixValue> reclaim()